Update one detail
/fscmRestApi/resources/11.13.18.05/salesOrdersForOrderHub/{OrderKey}/child/additionalInformation/{additionalInformationUniqID}
Request
-
OrderKey(required): string
The value of this parameter could be a hash of the key that is used to uniquely identify the resource item. The client should not generate the hash key value. Instead, the client should query on the collection resource with a filter to navigate to a specific resource item. For example: products?q=InventoryItemId=
-
additionalInformationUniqID(required): string
This is the hash key of the attributes which make up the composite key for the Details resource and used to uniquely identify an instance of Details. The client should not generate the hash key value. Instead, the client should query on the Details collection resource in order to navigate to a specific instance of Details to get the hash key.
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
- application/json
objectDiscriminator Values
object-
Category: string
Maximum Length:
240Default Value:DOO_HEADERS_ADD_INFO -
ObjectVersionNumber: integer
(int32)
-
SourceTransactionIdentifier: string
Maximum Length:
255 -
SourceTransactionSystem: string
Maximum Length:
255
Response
- application/json
Default Response
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
objectDiscriminator Values
object-
Category: string
Maximum Length:
240Default Value:DOO_HEADERS_ADD_INFO -
CreatedBy: string
Title:
Created ByRead Only:trueMaximum Length:64 -
CreationDate: string
(date-time)
Title:
Creation DateRead Only:true -
HeaderId: integer
(int64)
-
LastUpdateDate: string
(date-time)
Title:
Last Updated DateRead Only:true -
LastUpdatedBy: string
Title:
Updated ByRead Only:trueMaximum Length:64 -
LastUpdateLogin: string
Title:
Last Updated LoginRead Only:trueMaximum Length:32 -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
ObjectVersionNumber: integer
(int32)
-
SourceTransactionIdentifier: string
Maximum Length:
255 -
SourceTransactionSystem: string
Maximum Length:
255
arrayLinksobject-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.
Examples
This example describes how to update a cost adjustment detail.
Example cURL Command
Use the following cURL command to submit a request on the REST resource.
curl -X PATCH -u "username:password" -H "Content-Type: application/vnd.oracle.adf.resourceitem+json" -d 'request payload' "https://servername/fscmRestApi/resources/version/salesOrdersForOrderHub/OrderKey/child/additionalInformation/additionalInformationUniqID"
For example, use the following command. To patch EFF data, we need to go to the EFF context level to update specific segments in the context.
curl -X PATCH -u "username:password" -H "Content-Type: application/vnd.oracle.adf.resourceitem+json" -d 'request payload' "https://servername/fscmRestApi/resources/version/salesOrdersForOrderHub/GPR%3AR13_HdrEff_01/child/additionalInformation/300100185406568/child/HeaderEffBComplianceDetailsprivateVO/300100185406571"
Example Request Body
The following example includes the contents of the request body in JSON format. You replace the request payload in the cURL command with the contents of the Example Request Body. The request payload specifies attribute values that the command will use in the record that it updates. To patch EFF data, you must go to the EFF context level to update specific segments in the context.
You can achieve the same result with Create sales orders using the upsert-mode header parameter. Refer to the examples in the Create sales orders section to see how to update child resource in the existing order.
{
"_ComplianceInfo":"Compliance info updated - 11/27/2019",
"_ComplianceValue":301
}
Example Response Body
The following example includes the contents of the response body in JSON format:
{
}